# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# "RenameDlg related Functions"

## Functions

KIO_EXPORT RenameDlg_Result | open_RenameDlg (const QString &caption, const QString &src, const QString &dest, RenameDlg_Mode mode, QString &newDestPath, KIO::filesize_t sizeSrc=(KIO::filesize_t)-1, KIO::filesize_t sizeDest=(KIO::filesize_t)-1, time_t ctimeSrc=(time_t)-1, time_t ctimeDest=(time_t)-1, time_t mtimeSrc=(time_t)-1, time_t mtimeDest=(time_t)-1)

## Detailed Description

Construct a modal, parent-less "rename" dialog, and return a result code, as well as the new dest. Much easier to use than the class RenameDlg directly.

Parameters:

  | caption | the caption for the dialog box
  | src | the URL of the file/dir we're trying to copy, as it's part of the text message
  | dest | the URL of the destination file/dir, i.e. the one that already exists
  | mode | parameters for the dialog (which buttons to show...), see RenameDlg_Mode
  | newDest | the new destination path, valid if R_RENAME was returned.
  | sizeSrc | size of source file
  | sizeDest | size of destination file
  | ctimeSrc | creation time of source file
  | ctimeDest | creation time of destination file
  | mtimeSrc | modification time of source file
  | mtimeDest | modification time of destination file

Returns:
  the result

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003